AuGetScratchFlowFromBucket(3)

Name
AuGetScratchFlowFromBucket - use a scratch flow to create an import from a bucket.

Synopsis
#include <audio/audiolib.h>

AuFlowID AuGetScratchFlowFromBucket(server, bucket, export, status)
    AuServer *server;
    AuBucketID bucket;
    int *export; /* RETURN */
    AuStatus *status; /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

bucket
    Specifies the ID of the bucket to use.

import
    Returns the index of the ExportClient element.

status
    If non-NULL, flush the output buffer and return the status from the server.

Description
AuGetScratchFlowFromBucket uses a scratch flow to create an import from bucket and returns the flow ID or AuNone if there was an error.

Errors
AuBadAlloc.

See Also
AuCreateFlow, AuGetScratchFlow.

audiolib - Network Audio System C Language Interface